package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bfacbs extends AbstractCommonVo {

    private Cbb max;

    private Cbb max2;

    private Cbb opn2;

    private Cbb opn1;

    private Cbb opnbpdisc;

    private Cbb red;

    @Override
    public void reset() {
        if (max == null) {
            max = new Cbb();
        }
        if (max2 == null) {
            max2 = new Cbb();
        }
        if (opn2 == null) {
            opn2 = new Cbb();
        }
        if (opn1 == null) {
            opn1 = new Cbb();
        }
        if (opnbpdisc == null) {
            opnbpdisc = new Cbb();
        }
        if (red == null) {
            red = new Cbb();
        }
    }
}
